diff -urpN --exclude-from=/home/davej/.exclude bk-linus/kernel/fork.c linux-2.5/kernel/fork.c
--- bk-linus/kernel/fork.c	2002-11-21 02:24:36.000000000 +0000
+++ linux-2.5/kernel/fork.c	2002-11-21 18:05:16.000000000 +0000
@@ -336,8 +336,10 @@ static struct mm_struct * mm_init(struct
 	mm->default_kioctx = (struct kioctx)INIT_KIOCTX(mm->default_kioctx, *mm);
 	mm->free_area_cache = TASK_UNMAPPED_BASE;
 
-	if (likely(!mm_alloc_pgd(mm)))
+	if (likely(!mm_alloc_pgd(mm))) {
+		mm->def_flags = 0;
 		return mm;
+	}
 	free_mm(mm);
 	return NULL;
 }
